Bug 975328 - [abrt] colord-1.0.1-1.fc20: cmsDictAddEntry: Process /usr/libexec/colord was killed by signal 6 (SIGABRT)
[abrt] colord-1.0.1-1.fc20: cmsDictAddEntry: Process /usr/libexec/colord was ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: colord (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:cc2b2bf0904ca0c809ad47b5ca9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 02:30 EDT by Nicolas Mailhot
Modified: 2013-10-30 11:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-30 11:45:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.76 KB, text/plain)
2013-06-18 02:30 EDT, Nicolas Mailhot
no flags Details
File: cgroup (158 bytes, text/plain)
2013-06-18 02:30 EDT, Nicolas Mailhot
no flags Details
File: core_backtrace (2.87 KB, text/plain)
2013-06-18 02:30 EDT, Nicolas Mailhot
no flags Details
File: dso_list (3.69 KB, text/plain)
2013-06-18 02:30 EDT, Nicolas Mailhot
no flags Details
File: environ (188 bytes, text/plain)
2013-06-18 02:30 EDT, Nicolas Mailhot
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-18 02:30 EDT, Nicolas Mailhot
no flags Details
File: maps (16.53 KB, text/plain)
2013-06-18 02:30 EDT, Nicolas Mailhot
no flags Details
File: open_fds (1.33 KB, text/plain)
2013-06-18 02:30 EDT, Nicolas Mailhot
no flags Details
File: proc_pid_status (909 bytes, text/plain)
2013-06-18 02:30 EDT, Nicolas Mailhot
no flags Details

  None (edit)
Description Nicolas Mailhot 2013-06-18 02:30:25 EDT
Description of problem:
on boot    

Version-Release number of selected component:
colord-1.0.1-1.fc20

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/colord
crash_function: cmsDictAddEntry
executable:     /usr/libexec/colord
kernel:         3.10.0-0.rc5.git0.1.fc20.x86_64
runlevel:       unknown
uid:            996
var_log_messages: Fichier binaire /var/log/messages concordant

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 cmsDictAddEntry at cmsnamed.c:868
 #5 Type_Dictionary_Read at cmstypes.c:5092
 #6 cmsReadTag at cmsio0.c:1424
 #7 cd_icc_load at cd-icc.c:773
 #8 cd_icc_load_data at cd-icc.c:873
 #9 cd_icc_load_file at cd-icc.c:1488
 #10 cd_profile_set_filename at cd-profile.c:1098
 #11 cd_profile_store_add_profile at cd-profile-store.c:222
 #12 cd_profile_store_search_path at cd-profile-store.c:338
 #15 cd_profile_store_search at cd-profile-store.c:575
Comment 1 Nicolas Mailhot 2013-06-18 02:30:30 EDT
Created attachment 762348 [details]
File: backtrace
Comment 2 Nicolas Mailhot 2013-06-18 02:30:32 EDT
Created attachment 762349 [details]
File: cgroup
Comment 3 Nicolas Mailhot 2013-06-18 02:30:35 EDT
Created attachment 762350 [details]
File: core_backtrace
Comment 4 Nicolas Mailhot 2013-06-18 02:30:38 EDT
Created attachment 762351 [details]
File: dso_list
Comment 5 Nicolas Mailhot 2013-06-18 02:30:41 EDT
Created attachment 762352 [details]
File: environ
Comment 6 Nicolas Mailhot 2013-06-18 02:30:44 EDT
Created attachment 762353 [details]
File: limits
Comment 7 Nicolas Mailhot 2013-06-18 02:30:48 EDT
Created attachment 762354 [details]
File: maps
Comment 8 Nicolas Mailhot 2013-06-18 02:30:51 EDT
Created attachment 762355 [details]
File: open_fds
Comment 9 Nicolas Mailhot 2013-06-18 02:30:54 EDT
Created attachment 762356 [details]
File: proc_pid_status
Comment 10 Richard Hughes 2013-06-18 04:16:10 EDT
I reported this upstream a little while ago[1], but I think it's some kind of Gio bug as I can't reproduce it without using the Gio loader stuff.

[1] http://www.mail-archive.com/lcms-user@lists.sourceforge.net/msg03648.html
Comment 11 Richard Hughes 2013-06-18 04:19:05 EDT
Also, does this happen on every boot or it just happened the once?
Comment 12 Nicolas Mailhot 2013-06-18 05:08:31 EDT
It started happening on every boot lately. This is an old continuously updated system, so it is quite possible it's finding data saved by older software versions.
Comment 13 Fedora End Of Life 2013-09-16 12:43:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 14 Richard Hughes 2013-10-30 11:45:15 EDT
I'm pretty sure the last lcms2 update should have fixed this.

Note You need to log in before you can comment on or make changes to this bug.